Bug 1906459 - openstack: Quota Validation fails if unlimited quotas are given to a project
Summary: openstack: Quota Validation fails if unlimited quotas are given to a project
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.7
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: Emilien Macchi
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-10 15:01 UTC by Emilien Macchi
Modified: 2021-02-24 15:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:41:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4470 0 None closed Bug 1906459: openstack: fix quota checks when they're unlimited 2020-12-17 01:50:53 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:42:14 UTC

Description Emilien Macchi 2020-12-10 15:01:45 UTC
Version: 4.7

Platform: OpenStack IPI


What happened?

We introduced a new feature to check that the cloud tenant (named project in OpenStack) has enough quotas to create the resources needed to deploy OCP.
If the quotas are set to "-1" in OpenStack, which means unlimited, the openshift installer will fail because it doesn't know that -1 is unlimited

What did you expect to happen?

The quota check to be ignored for that resource, since quotas are unlimited.


How to reproduce it (as minimally and precisely as possible)?

Try to deploy OCP on top of OpenStack with a project that has unlimited quotas for e.g. Cores (or RAM), it'll fail.

Regression introduced by PR in https://issues.redhat.com/browse/OSASINFRA-1141

Comment 2 weiwei jiang 2020-12-18 02:14:11 UTC
(overcloud) [stack@undercloud-0 osp13_ssc]$ openstack quota list --compute
+----------------------------------+-------+-----------+----------------+-----------------------------+--------------------------+-----------+-----------+----------------+-----+---------------+----------------------+
| Project ID                       | Cores | Fixed IPs | Injected Files | Injected File Content Bytes | Injected File Path Bytes | Instances | Key Pairs | Metadata Items | Ram | Server Groups | Server Group Members |
+----------------------------------+-------+-----------+----------------+-----------------------------+--------------------------+-----------+-----------+----------------+-----+---------------+----------------------+
| 00855d56ea2f43f99bb563f2dde01dfa |    -1 |        -1 |              5 |                       10240 |                      255 |        -1 |       100 |            128 |  -1 |            10 |                   10 |
| 8669733d329842049f4da0b3c2ca0ae0 |    -1 |        -1 |              5 |                       10240 |                      255 |        -1 |       100 |            128 |  -1 |            10 |                   10 |
+----------------------------------+-------+-----------+----------------+-----------------------------+--------------------------+-----------+-----------+----------------+-----+---------------+----------------------+


$ ./openshift-install-4.7 create cluster --dir . --log-level debug                                                                                                                                                                     
DEBUG OpenShift Installer 4.7.0-0.nightly-2020-12-17-201522                                                                                                                                                        
DEBUG Built from commit e235783fe671864e0628771d0e5d13904e4d062a   
......
DEBUG   Generating Platform Provisioning Check...                                                        
DEBUG   Fetching Platform Quota Check...                                                                                                                                                                           
DEBUG     Fetching Install Config...                                                                     
DEBUG     Reusing previously-fetched Install Config                                                                                                                                                                
DEBUG     Fetching Master Machines...                                                                    
DEBUG     Reusing previously-fetched Master Machines                                                                                                                                                               
DEBUG     Fetching Worker Machines...                                                                    
DEBUG     Reusing previously-fetched Worker Machines                                                                                                                                                               
DEBUG   Generating Platform Quota Check...                                                               
DEBUG   Fetching Terraform Variables...                                                                                                                                                                            
DEBUG   Reusing previously-fetched Terraform Variables                                                                                                                                                             
DEBUG   Fetching Kubeadmin Password...                                                                                                                                                                             
DEBUG   Reusing previously-fetched Kubeadmin Password                                         
DEBUG Generating Cluster...                        
INFO Creating infrastructure resources...

Comment 5 errata-xmlrpc 2021-02-24 15:41:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.